Package ru.bitel.bgbilling.modules.tv.common.bean

# Class TvAccount

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.oss.kernel.entity.common.bean.AbstractEntity
ru.bitel.oss.kernel.entity.common.bean.Entity
ru.bitel.common.model.AbstractTreeNode<TvAccount>
ru.bitel.bgbilling.modules.tv.common.bean.TvAccount

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `GuiTitlable`, `Idable`, `ListItem`, `Node<TvAccount>`, `TreeNode<TvAccount>`

public class TvAccount extends AbstractTreeNode<TvAccount> implements TreeNode<TvAccount>, Cloneable

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.common.model.IdTitle

  `IdTitle.Builder, IdTitle.IdTitleBuilder`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final short`
  `STATE_DELETED`
  Состояние сервиса - удален (со связанных устройств).
  `static final short`
  `STATE_DISABLE`
  Состояние сервиса/соединения - доступ отключен.
  `static final short`
  `STATE_ENABLE`
  Состояние сервиса/соединения - доступ включен.
  `static final short`
  `STATE_NULL`
  Состояние сервиса - означает, что состояние не изменилось.
  `static final int`
  `STATUS_ACTIVE`
  `static final int`
  `STATUS_CLOSED`
  `static final int`
  `STATUS_LOCKED`

  ### Fields inherited from class ru.bitel.common.model.AbstractTreeNode

  `children, parentId`

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT, title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TvAccount()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TvAccount`
  `clone()`
  `int`
  `getAccessCode()`
  `String`
  `getAccessCodeTitle()`
  `String`
  `getComment()`
  `String`
  `getConfig()`
  `String`
  `getContractComment()`
  `int`
  `getContractId()`
  `String`
  `getContractTitle()`
  `Date`
  `getDateFrom()`
  `Date`
  `getDateTo()`
  `String`
  `getDeviceAccountId()`
  `int`
  `getDeviceId()`
  `Set<Integer>`
  `getDeviceOptionIds()`
  `short`
  `getDeviceState()`
  Текущее состояние на устройстве (при условии что устройство не сбросило все настройки при перезагрузке)
  При изменении статуса сервиса выставляется в newInetServ события, но в базе не меняется - это должно случится, после того как отработает скрипт активации.
  `String`
  `getDeviceTitle()`
  `String`
  `getIdentifier()`
  `String`
  `getLogin()`
  `List<byte[]>`
  `getMacAddressList()`
  `byte[]`
  `getMacAddressListBytes()`
  `String`
  `getPassword()`
  `String`
  `getPin()`
  `int`
  `getSpecId()`
  `String`
  `getSpecTitle()`
  `int`
  `getStatus()`
  `static String`
  `macAddressToString(byte[] macAddress)`
  `static byte[]`
  `parseMacAddress(String macAddress)`
  `void`
  `setAccessCode(int accessCode)`
  `void`
  `setAccessCodeTitle(String deviceStateTitle)`
  `void`
  `setComment(String comment)`
  `void`
  `setConfig(String config)`
  `void`
  `setContractComment(String contractComment)`
  `TvAccount`
  `setContractId(int contractId)`
  `void`
  `setContractTitle(String contractTitle)`
  `TvAccount`
  `setDateFrom(Date dateFrom)`
  `TvAccount`
  `setDateTo(Date dateTo)`
  `void`
  `setDeviceAccountId(String deviceAccountId)`
  `void`
  `setDeviceId(int deviceId)`
  `void`
  `setDeviceOptionIds(Set<Integer> deviceServiceIds)`
  `void`
  `setDeviceState(short currentState)`
  Текущее состояние на устройстве (при условии что устройство не сбросило все настройки при перезагрузке)
  При изменении статуса сервиса выставляется в newInetServ события, но в базе не меняется - это должно случится, после того как отработает скрипт активации.
  `void`
  `setDeviceTitle(String deviceTitle)`
  `void`
  `setIdentifier(String identifier)`
  `void`
  `setLogin(String login)`
  `void`
  `setMacAddressList(List<byte[]> macAddress)`
  `void`
  `setMacAddressListBytes(byte[] macAddressListBytes)`
  `void`
  `setPassword(String password)`
  `void`
  `setPin(String pin)`
  `TvAccount`
  `setSpecId(int specId)`
  `void`
  `setSpecTitle(String servTypeTitle)`
  `TvAccount`
  `setStatus(int status)`
  `String`
  `toString()`
  `static String`
  `toString(TvAccount val)`

  ### Methods inherited from class ru.bitel.common.model.AbstractTreeNode

  `getChildren, getParentId, setChildren, setParentId, toList`

  ### Methods inherited from class ru.bitel.oss.kernel.entity.common.bean.Entity

  `copyTo, getEntityId, setEntityId`

  ### Methods inherited from class ru.bitel.oss.kernel.entity.common.bean.AbstractEntity

  `copyTo, getEntityAttributes, getEntitySpecId, setEntityAttributes, setEntitySpecId`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setId, setTitle, to, toIdTitle`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

  ### Methods inherited from interface ru.bitel.common.model.TreeNode

  `getChildren`

- ## Field Details

  - ### STATUS_ACTIVE

    public static final int STATUS_ACTIVE
    See Also:
      - Constant Field Values

  - ### STATUS_CLOSED

    public static final int STATUS_CLOSED
    See Also:
      - Constant Field Values

  - ### STATUS_LOCKED

    public static final int STATUS_LOCKED
    See Also:
      - Constant Field Values

  - ### STATE_NULL

    public static final short STATE_NULL
    Состояние сервиса - означает, что состояние не изменилось.
    See Also:
      - Constant Field Values

  - ### STATE_DELETED

    public static final short STATE_DELETED
    Состояние сервиса - удален (со связанных устройств).
    See Also:
      - Constant Field Values

  - ### STATE_DISABLE

    public static final short STATE_DISABLE
    Состояние сервиса/соединения - доступ отключен.
    See Also:
      - Constant Field Values

  - ### STATE_ENABLE

    public static final short STATE_ENABLE
    Состояние сервиса/соединения - доступ включен.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### TvAccount

    public TvAccount()

- ## Method Details

  - ### getContractId

    public int getContractId()

  - ### setContractId

    public TvAccount setContractId(int contractId)

  - ### getContractTitle

    public String getContractTitle()

  - ### setContractTitle

    public void setContractTitle(String contractTitle)

  - ### getContractComment

    public String getContractComment()

  - ### setContractComment

    public void setContractComment(String contractComment)

  - ### getSpecId

    public int getSpecId()

  - ### setSpecId

    public TvAccount setSpecId(int specId)

  - ### getSpecTitle

    public String getSpecTitle()

  - ### setSpecTitle

    public void setSpecTitle(String servTypeTitle)

  - ### getDeviceId

    public int getDeviceId()

  - ### setDeviceId

    public void setDeviceId(int deviceId)

  - ### getDeviceTitle

    public String getDeviceTitle()

  - ### setDeviceTitle

    public void setDeviceTitle(String deviceTitle)

  - ### getIdentifier

    public String getIdentifier()

  - ### setIdentifier

    public void setIdentifier(String identifier)

  - ### getMacAddressList

    public List<byte[]> getMacAddressList()

  - ### setMacAddressList

    public void setMacAddressList(List<byte[]> macAddress)

  - ### getMacAddressListBytes

    public byte[] getMacAddressListBytes()

  - ### setMacAddressListBytes

    public void setMacAddressListBytes(byte[] macAddressListBytes)

  - ### getLogin

    public String getLogin()

  - ### setLogin

    public void setLogin(String login)

  - ### getPin

    public String getPin()

  - ### setPin

    public void setPin(String pin)

  - ### getPassword

    public String getPassword()

  - ### setPassword

    public void setPassword(String password)

  - ### getDateFrom

    public Date getDateFrom()

  - ### setDateFrom

    public TvAccount setDateFrom(Date dateFrom)

  - ### getDateTo

    public Date getDateTo()

  - ### setDateTo

    public TvAccount setDateTo(Date dateTo)

  - ### getStatus

    public int getStatus()

  - ### setStatus

    public TvAccount setStatus(int status)

  - ### getDeviceAccountId

    public String getDeviceAccountId()

  - ### setDeviceAccountId

    public void setDeviceAccountId(String deviceAccountId)

  - ### getDeviceState

    public short getDeviceState()
    Текущее состояние на устройстве (при условии что устройство не сбросило все настройки при перезагрузке)
    При изменении статуса сервиса выставляется в newInetServ события, но в базе не меняется - это должно случится, после того как отработает скрипт активации.

  - ### setDeviceState

    public void setDeviceState(short currentState)
    Текущее состояние на устройстве (при условии что устройство не сбросило все настройки при перезагрузке)
    При изменении статуса сервиса выставляется в newInetServ события, но в базе не меняется - это должно случится, после того как отработает скрипт активации.

  - ### getAccessCodeTitle

    public String getAccessCodeTitle()

  - ### setAccessCodeTitle

    public void setAccessCodeTitle(String deviceStateTitle)

  - ### getDeviceOptionIds

    public Set<Integer> getDeviceOptionIds()

  - ### setDeviceOptionIds

    public void setDeviceOptionIds(Set<Integer> deviceServiceIds)

  - ### getAccessCode

    public int getAccessCode()

  - ### setAccessCode

    public void setAccessCode(int accessCode)

  - ### getComment

    public String getComment()

  - ### setComment

    public void setComment(String comment)

  - ### getConfig

    public String getConfig()

  - ### setConfig

    public void setConfig(String config)

  - ### clone

    public TvAccount clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `IdTitle`

  - ### toString

    public static String toString(TvAccount val)

  - ### parseMacAddress

    public static byte[] parseMacAddress(String macAddress)

  - ### macAddressToString

    public static String macAddressToString(byte[] macAddress)